﻿using Akka.Actor;
using Akka.Configuration;
using Akka.Event;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NLogConfiguration_by_ConfigurationFactory
{
    class FooActor : UntypedActor
    {
        ILoggingAdapter _log = Context.GetLogger();

        public FooActor()
        {
            _log.Debug("FooActor Constructor - Debug");
            _log.Info("FooActor Constructor - Info");
            _log.Warning("FooActor Constructor - Warning");
            _log.Error("FooActor Constructor - Error");
        }

        protected override void OnReceive(object message)
        {
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            Config config = ConfigurationFactory.ParseString(
                @"akka {
                    loggers = [""Akka.Logger.NLog.NLogLogger,Akka.Logger.NLog""]
                    loglevel = DEBUG
                }");

            using (ActorSystem system = ActorSystem.Create("BLUE", config))
            {
                system.ActorOf(Props.Create(() => new FooActor()));

                Console.ReadLine();
            }
        }
    }
}
